Bug 707122 - spice-client.spec: remove Obsolete lines
Summary: spice-client.spec: remove Obsolete lines
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: spice-client
Version: 6.1
Hardware: Unspecified
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Uri Lublin
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On: 707119 707128
Blocks: 707125 725103
TreeView+ depends on / blocked
 
Reported: 2011-05-24 06:59 UTC by Uri Lublin
Modified: 2011-12-06 15:22 UTC (History)
5 users (show)

Fixed In Version: spice-client-0.8.0-3.el6
Doc Type: Bug Fix
Doc Text:
Although old SPICE-related packages (such as cairo-spice) are no longer required to be installed with the spice-client package, they were still needed by a previously installed spice-client or spice-server package. With the "Obsolete" lines in the package spec file, updating spice-client forced an update to spice-server as well, and vice versa. With this update, all "Obsolete" lines have been removed from the spice-client.spec file, thus fixing this bug.
Clone Of: 707119
: 707125 (view as bug list)
Environment:
Last Closed: 2011-12-06 15:22:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1518 normal SHIPPED_LIVE libcacard and spice-client bug fix and enhancement update 2011-12-06 00:50:43 UTC

Description Uri Lublin 2011-05-24 06:59:00 UTC
This bug is for spice-client. 
rhbz #707119 is for spice-server.

+++ This bug was initially created as a clone of Bug #707119 +++

Description of problem:
Following rhbz#674171 Obsolete lines were added to spice-server.spec
Following rhbz#675085 Obsolete lines were added to spice-client.spec

A by-product of adding these Obsolete lines is that if a RHEL-6.0 spice-server (and qemu-kvm) is installed on a machine, and spice-client is to be installed on that machine, spice-server (and qemu-kvm) are updated to RHEL-6.1 version.


https://bugzilla.redhat.com/show_bug.cgi?id=674171#c6 and 
https://bugzilla.redhat.com/show_bug.cgi?id=674171#c7 suggest it's better to just remove those Obsolete lines from the spec file.

Comment 1 RHEL Program Management 2011-05-24 07:09:45 UTC
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux maintenance release. Product Management has 
requested further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed 
products. This request is not yet committed for inclusion in an Update release.

Comment 4 Tomas Capek 2011-09-27 10:07:40 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Although old SPICE-related packages (such as spice-cairo) are no longer required to be installed with the spice-client package, they were still needed by a previously installed spice-client or spice-server package. With the "Obsolete" lines in the package spec file, updating spice-client forced an update to spice-server as well, and vice versa. With this update, all "Obsolete" lines have been removed from the spice-client.spec file, thus fixing this bug.

Comment 5 David Jaša 2011-10-14 14:42:38 UTC
VERIFIED in spice-client-0.8.2-7

Comment 6 Uri Lublin 2011-11-30 14:00:28 UTC
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-Although old SPICE-related packages (such as spice-cairo) are no longer required to be installed with the spice-client package, they were still needed by a previously installed spice-client or spice-server package. With the "Obsolete" lines in the package spec file, updating spice-client forced an update to spice-server as well, and vice versa. With this update, all "Obsolete" lines have been removed from the spice-client.spec file, thus fixing this bug.+Although old SPICE-related packages (such as cairo-spice) are no longer required to be installed with the spice-client package, they were still needed by a previously installed spice-client or spice-server package. With the "Obsolete" lines in the package spec file, updating spice-client forced an update to spice-server as well, and vice versa. With this update, all "Obsolete" lines have been removed from the spice-client.spec file, thus fixing this bug.

Comment 7 errata-xmlrpc 2011-12-06 15:22:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1518.html


Note You need to log in before you can comment on or make changes to this bug.